createProjectRequirement
Create a requirement in a project (with optional nested activities)
createProjectRequirement(
input: CreateProjectRequirementInput!
): CreateProjectRequirementPayload
Arguments
createProjectRequirement.input ● CreateProjectRequirementInput! non-null input
Parameters for CreateProjectRequirement
Type
CreateProjectRequirementPayload object
Autogenerated return type of CreateProjectRequirement.
Example request
This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.
Before you run it
Run the projects query first and use data.projects.collection[].id as projectId.
- cURL
- JavaScript
- Python
curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateProjectRequirement($input: CreateProjectRequirementInput!) {\n createProjectRequirement(input: $input) { clientMutationId errors projectRequirement { id label activities { __typename } } }\n}","variables":{"input":{"projectId":"<project_id>","label":"example"}}}'
const response = await fetch('https://api.convisoappsec.com/graphql', {
method: 'POST',
headers: {
'content-type': 'application/json',
'x-api-key': process.env.CONVISO_API_KEY,
},
body: JSON.stringify({
query: "mutation MutateCreateProjectRequirement($input: CreateProjectRequirementInput!) {\n createProjectRequirement(input: $input) { clientMutationId errors projectRequirement { id label activities { __typename } } }\n}",
variables: {
"input": {
"projectId": "<project_id>",
"label": "example"
}
},
}),
});
const { data, errors } = await response.json();
if (errors) throw new Error(errors.map(({ message }) => message).join(', '));
console.log(data);
import json
import os
import requests
response = requests.post(
'https://api.convisoappsec.com/graphql',
headers={
'content-type': 'application/json',
'x-api-key': os.environ['CONVISO_API_KEY'],
},
json={
'query': "mutation MutateCreateProjectRequirement($input: CreateProjectRequirementInput!) {\n createProjectRequirement(input: $input) { clientMutationId errors projectRequirement { id label activities { __typename } } }\n}",
'variables': json.loads("{\"input\":{\"projectId\":\"<project_id>\",\"label\":\"example\"}}"),
},
timeout=30,
)
response.raise_for_status()
payload = response.json()
if payload.get('errors'):
raise RuntimeError(payload['errors'])
print(payload['data'])
Contribute to the Docs
Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.
How to contribute